# Uses of Class
org.springframework.scheduling.config.TriggerTask

Packages that use TriggerTask
Package
Description
org.springframework.scheduling.config
Support package for declarative scheduling configuration, with XML schema being the primary configuration format.

## Uses of TriggerTask in org.springframework.scheduling.config

Subclasses of TriggerTask in org.springframework.scheduling.config
Modifier and Type
Class
Description
`class`
`CronTask`
`TriggerTask` implementation defining a `Runnable` to be executed according to a standard cron expression.
Methods in org.springframework.scheduling.config that return types with arguments of type TriggerTask
Modifier and Type
Method
Description
`List<TriggerTask>`
ScheduledTaskRegistrar.`getTriggerTaskList()`
Get the trigger tasks as an unmodifiable list of `TriggerTask` objects.
Methods in org.springframework.scheduling.config with parameters of type TriggerTask
Modifier and Type
Method
Description
`void`
ScheduledTaskRegistrar.`addTriggerTask(TriggerTask task)`
Add a `TriggerTask`.
`ScheduledTask`
ScheduledTaskRegistrar.`scheduleTriggerTask(TriggerTask task)`
Schedule the specified trigger task, either right away if possible or on initialization of the scheduler.
Method parameters in org.springframework.scheduling.config with type arguments of type TriggerTask
Modifier and Type
Method
Description
`void`
ScheduledTaskRegistrar.`setTriggerTasksList(List<TriggerTask> triggerTasks)`
Specify triggered tasks as a list of `TriggerTask` objects.